## EServerSideSourceCredentialsProvider EServerSideSourceCredentialsProvider |

## Functions

ESourceCredentialsProvider * | e_server_side_source_credentials_provider_new ()

## Types and Values

struct | EServerSideSourceCredentialsProvider

## Object Hierarchy

        GObject
        ╰── ESourceCredentialsProvider
            ╰── EServerSideSourceCredentialsProvider

## Implemented Interfaces

EServerSideSourceCredentialsProvider implements

## Description

## Functions

### e_server_side_source_credentials_provider_new ()

    ESourceCredentialsProvider *
    e_server_side_source_credentials_provider_new
                                   (ESourceRegistryServer *registry);

Creates a new EServerSideSourceCredentialsProvider, which is meant to abstract credential management for ESource-s.

#### Parameters

registry | an ESourceRegistryServer |

#### Returns

a new EServerSideSourceCredentialsProvider.

[transfer full]

Since: 3.16

## Types and Values

### struct EServerSideSourceCredentialsProvider

    struct EServerSideSourceCredentialsProvider;

Contains only private data that should be read and manipulated using the functions below.

Since: 3.16